import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { AcknowledgeJobInput } from "../types/AcknowledgeJobInput";
import { AcknowledgeJobOutput } from "../types/AcknowledgeJobOutput";
import { CodePipelineResolvedConfiguration } from "../CodePipelineConfiguration";
export * from "../types/AcknowledgeJobInput";
export * from "../types/AcknowledgeJobOutput";
export * from "../types/AcknowledgeJobExceptionsUnion";
export declare class AcknowledgeJobCommand implements __aws_sdk_types.Command<InputTypesUnion, AcknowledgeJobInput, OutputTypesUnion, AcknowledgeJobOutput, CodePipelineResolvedConfiguration, Blob> {
    readonly input: AcknowledgeJobInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<AcknowledgeJobInput, AcknowledgeJobOutput, Blob>;
    constructor(input: AcknowledgeJobInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodePipelineResolvedConfiguration): __aws_sdk_types.Handler<AcknowledgeJobInput, AcknowledgeJobOutput>;
}
