import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetJobDetailsInput } from "../types/GetJobDetailsInput";
import { GetJobDetailsOutput } from "../types/GetJobDetailsOutput";
import { CodePipelineResolvedConfiguration } from "../CodePipelineConfiguration";
export * from "../types/GetJobDetailsInput";
export * from "../types/GetJobDetailsOutput";
export * from "../types/GetJobDetailsExceptionsUnion";
export declare class GetJobDetailsCommand implements __aws_sdk_types.Command<InputTypesUnion, GetJobDetailsInput, OutputTypesUnion, GetJobDetailsOutput, CodePipelineResolvedConfiguration, Blob> {
    readonly input: GetJobDetailsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetJobDetailsInput, GetJobDetailsOutput, Blob>;
    constructor(input: GetJobDetailsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodePipelineResolvedConfiguration): __aws_sdk_types.Handler<GetJobDetailsInput, GetJobDetailsOutput>;
}
