import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { PutWebhookInput } from "../types/PutWebhookInput";
import { PutWebhookOutput } from "../types/PutWebhookOutput";
import { CodePipelineResolvedConfiguration } from "../CodePipelineConfiguration";
export * from "../types/PutWebhookInput";
export * from "../types/PutWebhookOutput";
export * from "../types/PutWebhookExceptionsUnion";
export declare class PutWebhookCommand implements __aws_sdk_types.Command<InputTypesUnion, PutWebhookInput, OutputTypesUnion, PutWebhookOutput, CodePipelineResolvedConfiguration, Blob> {
    readonly input: PutWebhookInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<PutWebhookInput, PutWebhookOutput, Blob>;
    constructor(input: PutWebhookInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodePipelineResolvedConfiguration): __aws_sdk_types.Handler<PutWebhookInput, PutWebhookOutput>;
}
