"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var EnableStageTransitionInput_1 = require("../shapes/EnableStageTransitionInput");
var EnableStageTransitionOutput_1 = require("../shapes/EnableStageTransitionOutput");
var ValidationException_1 = require("../shapes/ValidationException");
var PipelineNotFoundException_1 = require("../shapes/PipelineNotFoundException");
var StageNotFoundException_1 = require("../shapes/StageNotFoundException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.EnableStageTransition = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "EnableStageTransition",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: EnableStageTransitionInput_1.EnableStageTransitionInput
    },
    output: {
        shape: EnableStageTransitionOutput_1.EnableStageTransitionOutput
    },
    errors: [
        {
            shape: ValidationException_1.ValidationException
        },
        {
            shape: PipelineNotFoundException_1.PipelineNotFoundException
        },
        {
            shape: StageNotFoundException_1.StageNotFoundException
        }
    ]
};
//# sourceMappingURL=EnableStageTransition.js.map