"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetThirdPartyJobDetailsInput_1 = require("../shapes/GetThirdPartyJobDetailsInput");
var GetThirdPartyJobDetailsOutput_1 = require("../shapes/GetThirdPartyJobDetailsOutput");
var JobNotFoundException_1 = require("../shapes/JobNotFoundException");
var ValidationException_1 = require("../shapes/ValidationException");
var InvalidClientTokenException_1 = require("../shapes/InvalidClientTokenException");
var InvalidJobException_1 = require("../shapes/InvalidJobException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetThirdPartyJobDetails = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetThirdPartyJobDetails",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: GetThirdPartyJobDetailsInput_1.GetThirdPartyJobDetailsInput
    },
    output: {
        shape: GetThirdPartyJobDetailsOutput_1.GetThirdPartyJobDetailsOutput
    },
    errors: [
        {
            shape: JobNotFoundException_1.JobNotFoundException
        },
        {
            shape: ValidationException_1.ValidationException
        },
        {
            shape: InvalidClientTokenException_1.InvalidClientTokenException
        },
        {
            shape: InvalidJobException_1.InvalidJobException
        }
    ]
};
//# sourceMappingURL=GetThirdPartyJobDetails.js.map