"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var PutThirdPartyJobFailureResultInput_1 = require("../shapes/PutThirdPartyJobFailureResultInput");
var PutThirdPartyJobFailureResultOutput_1 = require("../shapes/PutThirdPartyJobFailureResultOutput");
var ValidationException_1 = require("../shapes/ValidationException");
var JobNotFoundException_1 = require("../shapes/JobNotFoundException");
var InvalidJobStateException_1 = require("../shapes/InvalidJobStateException");
var InvalidClientTokenException_1 = require("../shapes/InvalidClientTokenException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.PutThirdPartyJobFailureResult = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "PutThirdPartyJobFailureResult",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: PutThirdPartyJobFailureResultInput_1.PutThirdPartyJobFailureResultInput
    },
    output: {
        shape: PutThirdPartyJobFailureResultOutput_1.PutThirdPartyJobFailureResultOutput
    },
    errors: [
        {
            shape: ValidationException_1.ValidationException
        },
        {
            shape: JobNotFoundException_1.JobNotFoundException
        },
        {
            shape: InvalidJobStateException_1.InvalidJobStateException
        },
        {
            shape: InvalidClientTokenException_1.InvalidClientTokenException
        }
    ]
};
//# sourceMappingURL=PutThirdPartyJobFailureResult.js.map