"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ActionTypeId_1 = require("./_ActionTypeId");
var _QueryParamMap_1 = require("./_QueryParamMap");
exports.PollForJobsInput = {
    type: "structure",
    required: ["actionTypeId"],
    members: {
        actionTypeId: {
            shape: _ActionTypeId_1._ActionTypeId
        },
        maxBatchSize: {
            shape: {
                type: "integer",
                min: 1
            }
        },
        queryParam: {
            shape: _QueryParamMap_1._QueryParamMap
        }
    }
};
//# sourceMappingURL=PollForJobsInput.js.map