"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ErrorDetails_1 = require("./_ErrorDetails");
exports._ActionExecution = {
    type: "structure",
    required: [],
    members: {
        status: {
            shape: {
                type: "string"
            }
        },
        summary: {
            shape: {
                type: "string",
                min: 1
            }
        },
        lastStatusChange: {
            shape: {
                type: "timestamp"
            }
        },
        token: {
            shape: {
                type: "string"
            }
        },
        lastUpdatedBy: {
            shape: {
                type: "string"
            }
        },
        externalExecutionId: {
            shape: {
                type: "string",
                min: 1
            }
        },
        externalExecutionUrl: {
            shape: {
                type: "string",
                min: 1
            }
        },
        percentComplete: {
            shape: {
                type: "integer"
            }
        },
        errorDetails: {
            shape: _ErrorDetails_1._ErrorDetails
        }
    }
};
//# sourceMappingURL=_ActionExecution.js.map