"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _WebhookDefinition_1 = require("./_WebhookDefinition");
var _TagList_1 = require("./_TagList");
exports._ListWebhookItem = {
    type: "structure",
    required: ["definition", "url"],
    members: {
        definition: {
            shape: _WebhookDefinition_1._WebhookDefinition
        },
        url: {
            shape: {
                type: "string",
                min: 1
            }
        },
        errorMessage: {
            shape: {
                type: "string"
            }
        },
        errorCode: {
            shape: {
                type: "string"
            }
        },
        lastTriggered: {
            shape: {
                type: "timestamp"
            }
        },
        arn: {
            shape: {
                type: "string"
            }
        },
        tags: {
            shape: _TagList_1._TagList
        }
    }
};
//# sourceMappingURL=_ListWebhookItem.js.map