"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _WebhookFilters_1 = require("./_WebhookFilters");
var _WebhookAuthConfiguration_1 = require("./_WebhookAuthConfiguration");
exports._WebhookDefinition = {
    type: "structure",
    required: [
        "name",
        "targetPipeline",
        "targetAction",
        "filters",
        "authentication",
        "authenticationConfiguration"
    ],
    members: {
        name: {
            shape: {
                type: "string",
                min: 1
            }
        },
        targetPipeline: {
            shape: {
                type: "string",
                min: 1
            }
        },
        targetAction: {
            shape: {
                type: "string",
                min: 1
            }
        },
        filters: {
            shape: _WebhookFilters_1._WebhookFilters
        },
        authentication: {
            shape: {
                type: "string"
            }
        },
        authenticationConfiguration: {
            shape: _WebhookAuthConfiguration_1._WebhookAuthConfiguration
        }
    }
};
//# sourceMappingURL=_WebhookDefinition.js.map