import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { AcknowledgeThirdPartyJobInput } from "../types/AcknowledgeThirdPartyJobInput";
import { AcknowledgeThirdPartyJobOutput } from "../types/AcknowledgeThirdPartyJobOutput";
import { CodePipelineResolvedConfiguration } from "../CodePipelineConfiguration";
export * from "../types/AcknowledgeThirdPartyJobInput";
export * from "../types/AcknowledgeThirdPartyJobOutput";
export * from "../types/AcknowledgeThirdPartyJobExceptionsUnion";
export declare class AcknowledgeThirdPartyJobCommand implements __aws_sdk_types.Command<InputTypesUnion, AcknowledgeThirdPartyJobInput, OutputTypesUnion, AcknowledgeThirdPartyJobOutput, CodePipelineResolvedConfiguration, Blob> {
    readonly input: AcknowledgeThirdPartyJobInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<AcknowledgeThirdPartyJobInput, AcknowledgeThirdPartyJobOutput, Blob>;
    constructor(input: AcknowledgeThirdPartyJobInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodePipelineResolvedConfiguration): __aws_sdk_types.Handler<AcknowledgeThirdPartyJobInput, AcknowledgeThirdPartyJobOutput>;
}
