import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CreateCustomActionTypeInput } from "../types/CreateCustomActionTypeInput";
import { CreateCustomActionTypeOutput } from "../types/CreateCustomActionTypeOutput";
import { CodePipelineResolvedConfiguration } from "../CodePipelineConfiguration";
export * from "../types/CreateCustomActionTypeInput";
export * from "../types/CreateCustomActionTypeOutput";
export * from "../types/CreateCustomActionTypeExceptionsUnion";
export declare class CreateCustomActionTypeCommand implements __aws_sdk_types.Command<InputTypesUnion, CreateCustomActionTypeInput, OutputTypesUnion, CreateCustomActionTypeOutput, CodePipelineResolvedConfiguration, Blob> {
    readonly input: CreateCustomActionTypeInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CreateCustomActionTypeInput, CreateCustomActionTypeOutput, Blob>;
    constructor(input: CreateCustomActionTypeInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodePipelineResolvedConfiguration): __aws_sdk_types.Handler<CreateCustomActionTypeInput, CreateCustomActionTypeOutput>;
}
