"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetThirdPartyJobDetails_1 = require("../model/operations/GetThirdPartyJobDetails");
var GetThirdPartyJobDetailsCommand = /** @class */ (function () {
    function GetThirdPartyJobDetailsCommand(input) {
        this.input = input;
        this.model = GetThirdPartyJobDetails_1.GetThirdPartyJobDetails;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetThirdPartyJobDetailsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetThirdPartyJobDetailsCommand;
}());
exports.GetThirdPartyJobDetailsCommand = GetThirdPartyJobDetailsCommand;
//# sourceMappingURL=GetThirdPartyJobDetailsCommand.js.map