import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { PutApprovalResultInput } from "../types/PutApprovalResultInput";
import { PutApprovalResultOutput } from "../types/PutApprovalResultOutput";
import { CodePipelineResolvedConfiguration } from "../CodePipelineConfiguration";
export * from "../types/PutApprovalResultInput";
export * from "../types/PutApprovalResultOutput";
export * from "../types/PutApprovalResultExceptionsUnion";
export declare class PutApprovalResultCommand implements __aws_sdk_types.Command<InputTypesUnion, PutApprovalResultInput, OutputTypesUnion, PutApprovalResultOutput, CodePipelineResolvedConfiguration, Blob> {
    readonly input: PutApprovalResultInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<PutApprovalResultInput, PutApprovalResultOutput, Blob>;
    constructor(input: PutApprovalResultInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodePipelineResolvedConfiguration): __aws_sdk_types.Handler<PutApprovalResultInput, PutApprovalResultOutput>;
}
