"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateCustomActionTypeInput_1 = require("../shapes/CreateCustomActionTypeInput");
var CreateCustomActionTypeOutput_1 = require("../shapes/CreateCustomActionTypeOutput");
var ValidationException_1 = require("../shapes/ValidationException");
var LimitExceededException_1 = require("../shapes/LimitExceededException");
var TooManyTagsException_1 = require("../shapes/TooManyTagsException");
var InvalidTagsException_1 = require("../shapes/InvalidTagsException");
var ConcurrentModificationException_1 = require("../shapes/ConcurrentModificationException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateCustomActionType = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateCustomActionType",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CreateCustomActionTypeInput_1.CreateCustomActionTypeInput
    },
    output: {
        shape: CreateCustomActionTypeOutput_1.CreateCustomActionTypeOutput
    },
    errors: [
        {
            shape: ValidationException_1.ValidationException
        },
        {
            shape: LimitExceededException_1.LimitExceededException
        },
        {
            shape: TooManyTagsException_1.TooManyTagsException
        },
        {
            shape: InvalidTagsException_1.InvalidTagsException
        },
        {
            shape: ConcurrentModificationException_1.ConcurrentModificationException
        }
    ]
};
//# sourceMappingURL=CreateCustomActionType.js.map