"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var PollForJobsInput_1 = require("../shapes/PollForJobsInput");
var PollForJobsOutput_1 = require("../shapes/PollForJobsOutput");
var ValidationException_1 = require("../shapes/ValidationException");
var ActionTypeNotFoundException_1 = require("../shapes/ActionTypeNotFoundException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.PollForJobs = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "PollForJobs",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: PollForJobsInput_1.PollForJobsInput
    },
    output: {
        shape: PollForJobsOutput_1.PollForJobsOutput
    },
    errors: [
        {
            shape: ValidationException_1.ValidationException
        },
        {
            shape: ActionTypeNotFoundException_1.ActionTypeNotFoundException
        }
    ]
};
//# sourceMappingURL=PollForJobs.js.map