"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ActionTypeSettings_1 = require("./_ActionTypeSettings");
var _ActionConfigurationPropertyList_1 = require("./_ActionConfigurationPropertyList");
var _ArtifactDetails_1 = require("./_ArtifactDetails");
var _TagList_1 = require("./_TagList");
exports.CreateCustomActionTypeInput = {
    type: "structure",
    required: [
        "category",
        "provider",
        "version",
        "inputArtifactDetails",
        "outputArtifactDetails"
    ],
    members: {
        category: {
            shape: {
                type: "string"
            }
        },
        provider: {
            shape: {
                type: "string",
                min: 1
            }
        },
        version: {
            shape: {
                type: "string",
                min: 1
            }
        },
        settings: {
            shape: _ActionTypeSettings_1._ActionTypeSettings
        },
        configurationProperties: {
            shape: _ActionConfigurationPropertyList_1._ActionConfigurationPropertyList
        },
        inputArtifactDetails: {
            shape: _ArtifactDetails_1._ArtifactDetails
        },
        outputArtifactDetails: {
            shape: _ArtifactDetails_1._ArtifactDetails
        },
        tags: {
            shape: _TagList_1._TagList
        }
    }
};
//# sourceMappingURL=CreateCustomActionTypeInput.js.map