"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RetryStageExecutionInput = {
    type: "structure",
    required: ["pipelineName", "stageName", "pipelineExecutionId", "retryMode"],
    members: {
        pipelineName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        stageName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        pipelineExecutionId: {
            shape: {
                type: "string"
            }
        },
        retryMode: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=RetryStageExecutionInput.js.map